VERSION 5.00
Begin VB.Form NewVBTools 
   Caption         =   "New VB Tools"
   ClientHeight    =   4920
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5400
   LinkTopic       =   "Form1"
   ScaleHeight     =   4920
   ScaleWidth      =   5400
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton AddHydrogens 
      Caption         =   "Add Hydrogens"
      Height          =   495
      Index           =   1
      Left            =   2760
      TabIndex        =   25
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton Clean 
      Caption         =   "Clean"
      Height          =   495
      Index           =   1
      Left            =   2760
      TabIndex        =   24
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton SelectAll 
      Caption         =   "Select All"
      Height          =   495
      Index           =   1
      Left            =   120
      TabIndex        =   23
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton FitView 
      Caption         =   "Fit to View"
      Height          =   495
      Left            =   1440
      TabIndex        =   22
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton CPK 
      Caption         =   "CPK"
      Height          =   495
      Left            =   4080
      TabIndex        =   21
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton Stick 
      Caption         =   "Stick"
      Height          =   495
      Left            =   1440
      TabIndex        =   20
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton Line 
      Caption         =   "Lines"
      Height          =   495
      Left            =   120
      TabIndex        =   19
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton ReDisplayTools 
      Caption         =   "Display Toolbars"
      Height          =   495
      Left            =   4080
      TabIndex        =   18
      Top             =   2520
      Width           =   1215
   End
   Begin VB.CommandButton RemoveHydrogens 
      Caption         =   "Remove Hydrogens"
      Height          =   495
      Left            =   4080
      TabIndex        =   17
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton AlignMolecules 
      Caption         =   "Align"
      Height          =   495
      Left            =   2760
      TabIndex        =   16
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton RotateX 
      Caption         =   "Rotate X 90"
      Height          =   495
      Left            =   4080
      TabIndex        =   15
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton Cascade 
      Caption         =   "Cascade"
      Height          =   495
      Left            =   2760
      TabIndex        =   14
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton CountAtoms 
      Caption         =   "Count Atoms"
      Height          =   495
      Index           =   0
      Left            =   1440
      TabIndex        =   13
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton Command 
      Caption         =   "Command"
      Height          =   495
      Left            =   4080
      TabIndex        =   12
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton UnDisplayTools 
      Caption         =   "Turn Off Toolbars"
      Height          =   495
      Left            =   2760
      TabIndex        =   11
      Top             =   2520
      Width           =   1215
   End
   Begin VB.CommandButton LoadMolecule 
      Caption         =   "Load Molecule"
      Height          =   495
      Left            =   120
      TabIndex        =   10
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton Exit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   120
      TabIndex        =   9
      Top             =   4320
      Width           =   5175
   End
   Begin VB.CommandButton CloseViewer 
      Caption         =   "Close Viewer"
      Height          =   495
      Left            =   4080
      TabIndex        =   8
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton BallNStick 
      Caption         =   "Ball and Stick"
      Height          =   495
      Left            =   2760
      TabIndex        =   7
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton TileV 
      Caption         =   "Tile Vertical"
      Height          =   495
      Left            =   1440
      TabIndex        =   6
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton TileH 
      Caption         =   "Tile Horizontal"
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   3120
      Width           =   1215
   End
   Begin VB.CommandButton DataTable 
      Caption         =   "Data Table"
      Height          =   495
      Left            =   1440
      TabIndex        =   4
      Top             =   2520
      Width           =   1215
   End
   Begin VB.CommandButton TreeView 
      Caption         =   "Tree View"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   2520
      Width           =   1215
   End
   Begin VB.CommandButton CreateSurface 
      Caption         =   "Surface"
      Height          =   495
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton Spin 
      Caption         =   "Spin"
      Height          =   495
      Index           =   0
      Left            =   1440
      TabIndex        =   1
      Top             =   1920
      Width           =   1215
   End
   Begin VB.CommandButton StartViewer 
      Caption         =   "Connect To or Start Viewer"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5175
   End
End
Attribute VB_Name = "NewVBTools"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public Viewer As Object

Private Sub Form_Unload(Cancel As Integer)
    'Make sure the table view is unloaded.
    Unload TableView
    Set TableView = Nothing
End Sub

Private Sub StartViewer_Click()

    Set Viewer = CreateObject("WebLabViewerPro.Application")
    Viewer.Visible = True
    If (Viewer.Iconic) Then
        Viewer.Iconic = False
    End If

End Sub

Private Sub LoadMolecule_Click()

    LoadMolz.Filename = ""
    LoadMolz.Show vbModal, Me
    
    Dim Documents As Object
    Set Documents = Viewer.Documents
    
    Viewer.DisplayHelpText ("Load new file from disk (Visual Basic).")
    Viewer.DisplayStatusText ("Load a new file into the Viewer.")
    
    Dim NewDoc As Object
    If (LoadMolz.Filename.Text = "") Then
    Else
        Set NewDoc = Documents.Open(LoadMolz.Filename)
    End If

    Dim Doc As Object
    Set Doc = Viewer.ActiveDocument
    If Doc Is Nothing Then
        Exit Sub
    End If
    Doc.DoCommand ("popapp")
End Sub

Private Sub FitView_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("FitView")

End Sub

Private Sub AddHydrogens_Click(Index As Integer)

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
     ' This will work on the "Active" document
   Viewer.ActiveDocument.DoCommand ("hydrogens add")
    
End Sub

Private Sub RemoveHydrogens_Click()
 
    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
   Viewer.ActiveDocument.DoCommand ("hydrogens delete")
   
End Sub

Private Sub Spin_Click(Index As Integer)

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    ' This command toggles spinning
    Dim Doc As Object
    Set Doc = Viewer.ActiveDocument
    Doc.DoCommand ("Spin")
    
    ' The spinning won't start/stop until you visit the Viewer
    Doc.DoCommand ("popapp")

End Sub

Private Sub Clean_Click(Index As Integer)

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("Clean")

End Sub

Private Sub CreateSurface_Click(Index As Integer)

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("Surface")

End Sub

Private Sub SelectAll_Click(Index As Integer)

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("SelectAll")

End Sub

Private Sub TreeView_Click()
    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Dim Doc As Object
    Set Doc = Viewer.ActiveDocument
    
    Dim Tree As Object
    Set Tree = Doc.GetHierarchyView

End Sub

Private Sub DataTable_Click()

    TableView.Show
    
End Sub

Private Sub TileH_Click()

    Viewer.TileHorizontal

End Sub

Private Sub TileV_Click()

    Viewer.TileVertical

End Sub

Private Sub Cascade_Click()

    Viewer.Cascade

End Sub

Private Sub CloseViewer_Click()

    Viewer.Quit
    Set Viewer = Nothing

End Sub

Private Sub Exit_Click()
    'Check if the application is attached to the viewer.
    If Not (Viewer Is Nothing) Then
        'The application is attached so tell the viewer to quit.
        Viewer.Quit
        'Set the viewer equal to Nothing.
        Set Viewer = Nothing
    End If
    
    'Exit the application.
    Unload NewVBTools
    
End Sub

Private Sub UnDisplayTools_Click()

    Viewer.DisplayStatusBar = False
    Viewer.DisplayToolBar = False
    Viewer.DisplayToolPalette = False
    Viewer.DisplayBuilderBar = False

End Sub

Private Sub ReDisplayTools_Click()

    Viewer.DisplayStatusBar = True
    Viewer.DisplayToolBar = True
    Viewer.DisplayToolPalette = True
    Viewer.DisplayBuilderBar = True

End Sub

Private Sub RotateX_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("Rotate 90 0 0")

End Sub

Private Sub Line_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("DisplayStyle atom Line")

End Sub

Private Sub Stick_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("DisplayStyle atom Stick")

End Sub

Private Sub BallNStick_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("DisplayStyle atom BallAndStick")

End Sub

Private Sub CPK_Click()

    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Viewer.ActiveDocument.DoCommand ("DisplayStyle atom CPK")

End Sub

Private Sub Command_Click()

    EnterCommand.Text1 = "DisplayStyle atom stick"
    
    EnterCommand.Show vbModal, Me
    
    If Viewer.ActiveDocument Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Dim commandResults As String
    commandResults = Viewer.ActiveDocument.DoCommand(EnterCommand.Text1)
    
    If (commandResults = vbNullString) Then

        MsgBox "Command Executed"
    Else
    
        MsgBox commandResults
    End If
    
End Sub

Private Sub CountAtoms_Click(Index As Integer)

    Dim Doc As Object
    Set Doc = Viewer.ActiveDocument
    
    If Not (Doc Is Nothing) Then
    
        Dim atomCount As String
        atomCount = Doc.DoCommand("GetProperty Molecule index=0 : Number of Atoms=?")
        If atomCount = "" Then atomCount = "No Molecule object was found!"
        MsgBox atomCount
    Else
        MsgBox ("The viewer does not have an active document.")
    End If

End Sub

Private Sub AlignMolecules_Click()

    Viewer.DisplayMessageBox ("See Alignment project for a more complex example!")

End Sub

