// MyToolsDlg.h : header file
//

#if !defined(AFX_MYTOOLSDLG_H__E2F07277_76CF_11D3_B42B_006008AFFDB1__INCLUDED_)
#define AFX_MYTOOLSDLG_H__E2F07277_76CF_11D3_B42B_006008AFFDB1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class IViewer;

/////////////////////////////////////////////////////////////////////////////
// CMyToolsDlg dialog

class CMyToolsDlg : public CDialog
{
// Construction
public:
	CMyToolsDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CMyToolsDlg();

protected:
	BOOL CheckViewer();
	void DoDocCommand(CString command);

// Dialog Data
	//{{AFX_DATA(CMyToolsDlg)
	enum { IDD = IDD_MYTOOLS_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyToolsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON		m_hIcon;
	IViewer*	m_pViewer;

	// Generated message map functions
	//{{AFX_MSG(CMyToolsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStartviewer();
	afx_msg void OnOpenfile();
	afx_msg void OnFittoview();
	afx_msg void OnAddhydrogens();
	afx_msg void OnRemovehydrogens();
	afx_msg void OnLines();
	afx_msg void OnStick();
	afx_msg void OnBallnstick();
	afx_msg void OnCpk();
	afx_msg void OnSurface();
	afx_msg void OnSpin();
	afx_msg void OnClean();
	afx_msg void OnRotatex();
	afx_msg void OnTreeview();
	afx_msg void OnDatatable();
	afx_msg void OnToolbarsoff();
	afx_msg void OnToolbarson();
	afx_msg void OnTilehorizontal();
	afx_msg void OnTilevertical();
	afx_msg void OnCascade();
	afx_msg void OnCommand();
	afx_msg void OnSelectall();
	afx_msg void OnCountatoms();
	afx_msg void OnAlign();
	afx_msg void OnCloseviewer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYTOOLSDLG_H__E2F07277_76CF_11D3_B42B_006008AFFDB1__INCLUDED_)
